unit uProductService;

interface

uses
  XData.Service.Common, Generics.Collections, uProduct;

type
  [ServiceContract]
  IProductService = interface(IInvokable)
    ['{3D2038F0-B4B3-433F-913D-7243C174BA86}']
    [HttpGet] function FeatureProduct: TList<TProduct>;
    [HttpGet] function SearchProduct(Title: string): TList<TProduct>;
  end;

implementation


initialization
  RegisterServiceType(TypeInfo(IProductService));

end.
