unit uDeliver;

interface

uses
  System.Classes, System.StrUtils, System.DateUtils, Generics.Collections,
  Bcl.Validation.Attributes, Bcl.Validation.Classes, Aurelius.Types.Blob,
  Aurelius.Types.Nullable, Aurelius.Types.Proxy, Aurelius.Mapping.Attributes,

  // Entidades

  System.Variants;// uTipoConstante;

{const
  cDeliverMethod: array[0..3] of TIRegistro =
  (
    (Id: 1; Descripcion: 'Llevar mis muestras'),
    (Id: 2; Descripcion: 'Recoleccin por tcnicos de laboratorio'),
    (Id: 3; Descripcion: 'Enviare por courrier'),
    (Id: 4; Descripcion: 'Solicitar delivery')
  );}

type
  [Entity, Automapping]
  [Table('DeliverMethod')]
  [Id('FIdDeliverMethod', TIdGenerator.None)]
  TDeliverMethod = class
  private
    [Column('IdDeliverMethod', [TColumnProp.Required])]
    FIdDeliverMethod: integer;

    [Column('DeliverMethod', [TColumnProp.Required, TColumnProp.Unique], 100)]
    FDeliverMethod: string;
  public
    property IdDeliverMethod: integer read FIdDeliverMethod write FIdDeliverMethod;
    property DeliverMethod: string read FDeliverMethod write FDeliverMethod;
  end;

implementation

end.
