object ObjectDataLab: TObjectDataLab
  OnCreate = DataModuleCreate
  Height = 750
  Width = 1000
  PixelsPerInch = 120
  object adsProductList: TAureliusDataset
    FieldDefs = <
      item
        Name = 'Self'
        Attributes = [faReadonly]
        DataType = ftVariant
      end
      item
        Name = 'IdProduct'
        Attributes = [faRequired]
        DataType = ftInteger
      end
      item
        Name = 'Title'
        Attributes = [faRequired]
        DataType = ftString
        Size = 100
      end
      item
        Name = 'Subtitle'
        Attributes = [faRequired]
        DataType = ftString
        Size = 250
      end
      item
        Name = 'Description'
        Attributes = [faRequired]
        DataType = ftString
        Size = 3000
      end
      item
        Name = 'StatusProduct'
        DataType = ftInteger
      end
      item
        Name = 'Store'
        DataType = ftVariant
      end
      item
        Name = 'TypeProduct'
        DataType = ftVariant
      end
      item
        Name = 'FrontText'
        Attributes = [faReadonly, faRequired]
        DataType = ftWideString
        Size = 255
      end
      item
        Name = 'Norma'
        DataType = ftString
        Size = 400
      end
      item
        Name = 'Acreditacion'
        DataType = ftBoolean
      end
      item
        Name = 'AcreditacionOrganismo'
        DataType = ftString
        Size = 250
      end
      item
        Name = 'AcreditacionFecha'
        DataType = ftDate
      end
      item
        Name = 'AcreditacionVencimiento'
        DataType = ftDate
      end
      item
        Name = 'OrderRandom'
        Attributes = [faReadonly, faRequired]
        DataType = ftInteger
      end
      item
        Name = 'EstimatedTerm'
        DataType = ftString
        Size = 200
      end
      item
        Name = 'Memo'
        DataType = ftString
        Size = 300
      end
      item
        Name = 'ProductAttached'
        Attributes = [faReadonly]
        DataType = ftDataSet
      end>
    ReadOnly = True
    Left = 56
    Top = 24
    DesignClass = 'uProduct.TProduct'
    object adsProductListSelf: TAureliusEntityField
      FieldName = 'Self'
      ReadOnly = True
    end
    object adsProductListIdProduct: TIntegerField
      FieldName = 'IdProduct'
      Required = True
    end
    object adsProductListFrontText: TStringField
      DisplayWidth = 350
      FieldName = 'FrontText'
      ReadOnly = True
      Required = True
      Size = 350
    end
    object adsProductListMetodologiaEnsayo: TStringField
      FieldName = 'MetodologiaEnsayo'
      Size = 200
    end
  end
  object dsProductList: TDataSource
    DataSet = adsProductList
    Left = 56
    Top = 96
  end
  object adsProduct: TAureliusDataset
    FieldDefs = <
      item
        Name = 'Self'
        Attributes = [faReadonly]
        DataType = ftVariant
      end
      item
        Name = 'IdProduct'
        Attributes = [faRequired]
        DataType = ftInteger
      end
      item
        Name = 'Title'
        Attributes = [faRequired]
        DataType = ftString
        Size = 100
      end
      item
        Name = 'Subtitle'
        Attributes = [faRequired]
        DataType = ftString
        Size = 250
      end
      item
        Name = 'Description'
        Attributes = [faRequired]
        DataType = ftString
        Size = 3000
      end
      item
        Name = 'StatusProduct'
        DataType = ftInteger
      end
      item
        Name = 'Store'
        DataType = ftVariant
      end
      item
        Name = 'TypeProduct'
        DataType = ftVariant
      end
      item
        Name = 'MatrizProduct'
        DataType = ftVariant
      end
      item
        Name = 'FrontText'
        Attributes = [faReadonly, faRequired]
        DataType = ftWideString
        Size = 255
      end
      item
        Name = 'Norma'
        DataType = ftString
        Size = 400
      end
      item
        Name = 'Acreditacion'
        DataType = ftBoolean
      end
      item
        Name = 'AcreditacionOrganismo'
        DataType = ftString
        Size = 250
      end
      item
        Name = 'AcreditacionFecha'
        DataType = ftDate
      end
      item
        Name = 'AcreditacionVencimiento'
        DataType = ftDate
      end
      item
        Name = 'EstimatedTerm'
        DataType = ftString
        Size = 200
      end
      item
        Name = 'Memo'
        DataType = ftString
        Size = 300
      end
      item
        Name = 'Price'
        DataType = ftCurrency
      end
      item
        Name = 'MetodologiaEnsayo'
        DataType = ftString
        Size = 200
      end
      item
        Name = 'EquipoEnsayo'
        DataType = ftString
        Size = 200
      end
      item
        Name = 'ProductAttached'
        Attributes = [faReadonly]
        DataType = ftDataSet
      end>
    OnObjectInsert = adsProductObjectInsert
    OnObjectUpdate = adsProductObjectUpdate
    OnObjectRemove = adsProductObjectRemove
    Left = 192
    Top = 24
    DesignClass = 'uProduct.TProduct'
    object adsProductSelf: TAureliusEntityField
      FieldName = 'Self'
      ReadOnly = True
    end
    object adsProductIdProduct: TIntegerField
      FieldName = 'IdProduct'
    end
    object adsProductTitle: TStringField
      FieldName = 'Title'
      Required = True
      Size = 100
    end
    object adsProductSubtitle: TStringField
      FieldName = 'Subtitle'
      Required = True
      Size = 250
    end
    object adsProductDescription: TStringField
      FieldName = 'Description'
      Required = True
      Size = 3000
    end
    object adsProductStatusProduct: TIntegerField
      FieldName = 'StatusProduct'
    end
    object adsProductStore: TAureliusEntityField
      FieldName = 'Store'
    end
    object adsProductTypeProduct: TAureliusEntityField
      FieldName = 'TypeProduct'
    end
    object adsProductFrontText: TWideStringField
      FieldName = 'FrontText'
      ReadOnly = True
      Required = True
      Size = 255
    end
    object adsProductNorma: TStringField
      FieldName = 'Norma'
      Size = 400
    end
    object adsProductAcreditacion: TBooleanField
      FieldName = 'Acreditacion'
    end
    object adsProductAcreditacionOrganismo: TStringField
      FieldName = 'AcreditacionOrganismo'
      Size = 250
    end
    object adsProductAcreditacionFecha: TDateField
      FieldName = 'AcreditacionFecha'
    end
    object adsProductAcreditacionVencimiento: TDateField
      FieldName = 'AcreditacionVencimiento'
    end
    object adsProductEstimatedTerm: TStringField
      FieldName = 'EstimatedTerm'
      Size = 200
    end
    object adsProductMemo: TStringField
      FieldName = 'Memo'
      Size = 300
    end
    object adsProductProductAttached: TDataSetField
      FieldName = 'ProductAttached'
      ReadOnly = True
    end
    object adsProductStoreIdStore: TIntegerField
      FieldName = 'Store.IdStore'
    end
    object adsProductStoreName: TStringField
      FieldName = 'Store.Name'
      Size = 100
    end
    object adsProductStoreShortName: TStringField
      FieldName = 'Store.ShortName'
    end
    object adsProductStoreLogo: TBlobField
      FieldName = 'Store.Logo'
    end
    object adsProductStoreAddress: TStringField
      FieldName = 'Store.Address'
      Size = 200
    end
    object adsProductStorePhone: TStringField
      FieldName = 'Store.Phone'
    end
    object adsProductStoreWhatsapp: TStringField
      FieldName = 'Store.Whatsapp'
    end
    object adsProductStoreEmail: TStringField
      FieldName = 'Store.Email'
      Size = 200
    end
    object adsProductTypeProductTypeProduct: TStringField
      FieldName = 'TypeProduct.TypeProduct'
      Size = 100
    end
    object adsProductPrice: TCurrencyField
      FieldName = 'Price'
    end
    object adsProductMetodologiaEnsayo: TStringField
      FieldName = 'MetodologiaEnsayo'
      Size = 200
    end
    object adsProductEquipoEnsayo: TStringField
      FieldName = 'EquipoEnsayo'
      Size = 200
    end
    object adsProductMatrizProduct: TAureliusEntityField
      FieldName = 'MatrizProduct'
    end
  end
  object dsProduct: TDataSource
    DataSet = adsProduct
    Left = 192
    Top = 96
  end
  object adsNewOrder: TAureliusDataset
    FieldDefs = <
      item
        Name = 'Self'
        Attributes = [faReadonly]
        DataType = ftVariant
      end
      item
        Name = 'IdOrderMaster'
        Attributes = [faRequired]
        DataType = ftInteger
      end
      item
        Name = 'DateTime'
        DataType = ftDateTime
      end
      item
        Name = 'StatusOrder'
        DataType = ftInteger
      end
      item
        Name = 'Store'
        DataType = ftVariant
      end
      item
        Name = 'Customer'
        DataType = ftVariant
      end
      item
        Name = 'User'
        DataType = ftVariant
      end
      item
        Name = 'DeliverMethod'
        DataType = ftVariant
      end
      item
        Name = 'Memo'
        DataType = ftString
        Size = 300
      end
      item
        Name = 'PickupLabTechDateFrom'
        DataType = ftDate
      end
      item
        Name = 'PickupLabTechDateTo'
        DataType = ftDate
      end
      item
        Name = 'PickupLabTechTimeFrom'
        DataType = ftTime
      end
      item
        Name = 'PickupLabTechTimeTo'
        DataType = ftTime
      end
      item
        Name = 'PickupLabTechAddress'
        DataType = ftString
        Size = 200
      end
      item
        Name = 'PickupDeliveryDate'
        DataType = ftDate
      end
      item
        Name = 'PickupDeliveryTimeFrom'
        DataType = ftTime
      end
      item
        Name = 'PickupDeliveryTimeTo'
        DataType = ftTime
      end
      item
        Name = 'PickupDeliveryAddress'
        DataType = ftString
        Size = 200
      end
      item
        Name = 'PickupDeliveryInstructions'
        DataType = ftString
        Size = 200
      end
      item
        Name = 'TypeProduct'
        DataType = ftVariant
      end
      item
        Name = 'Items'
        Attributes = [faReadonly]
        DataType = ftDataSet
      end
      item
        Name = 'TotalOrder'
        Attributes = [faReadonly, faRequired]
        DataType = ftCurrency
      end>
    OnNewRecord = adsNewOrderNewRecord
    OnObjectInsert = adsNewOrderObjectInsert
    Left = 320
    Top = 24
    DesignClass = 'uOrder.TOrderMaster'
    object adsNewOrderSelf: TAureliusEntityField
      FieldName = 'Self'
      ReadOnly = True
    end
    object adsNewOrderIdOrderMaster: TIntegerField
      FieldName = 'IdOrderMaster'
    end
    object adsNewOrderDateTime: TDateTimeField
      FieldName = 'DateTime'
    end
    object adsNewOrderStatusOrder: TIntegerField
      FieldName = 'StatusOrder'
    end
    object adsNewOrderStore: TAureliusEntityField
      FieldName = 'Store'
    end
    object adsNewOrderCustomer: TAureliusEntityField
      FieldName = 'Customer'
    end
    object adsNewOrderDeliverMethod: TAureliusEntityField
      FieldName = 'DeliverMethod'
    end
    object adsNewOrderDeliverMethodIdDeliverMethod: TIntegerField
      FieldName = 'DeliverMethod.IdDeliverMethod'
    end
    object adsNewOrderDeliverMethodDeliverMethod: TStringField
      FieldName = 'DeliverMethod.DeliverMethod'
      Size = 100
    end
    object adsNewOrderUser: TAureliusEntityField
      FieldName = 'User'
    end
    object adsNewOrderItems: TDataSetField
      FieldName = 'Items'
      ReadOnly = True
    end
    object adsNewOrderStoreName: TStringField
      FieldName = 'Store.Name'
      Size = 100
    end
    object adsNewOrderStoreLogo: TBlobField
      FieldName = 'Store.Logo'
    end
    object adsNewOrderStoreAddress: TStringField
      FieldName = 'Store.Address'
      Size = 200
    end
    object adsNewOrderStorePhone: TStringField
      FieldName = 'Store.Phone'
    end
    object adsNewOrderStoreWhatsapp: TStringField
      FieldName = 'Store.Whatsapp'
    end
    object adsNewOrderStoreEmail: TStringField
      FieldName = 'Store.Email'
      Size = 200
    end
    object adsNewOrderCustomerIdCustomer: TIntegerField
      FieldName = 'Customer.IdCustomer'
    end
    object adsNewOrderCustomerFullName: TStringField
      FieldName = 'Customer.FullName'
      Size = 200
    end
    object adsNewOrderCustomerCompany: TStringField
      FieldName = 'Customer.Company'
      Size = 200
    end
    object adsNewOrderCustomerRUC: TStringField
      FieldName = 'Customer.RUC'
      Size = 10
    end
    object adsNewOrderCustomerEmail: TStringField
      FieldName = 'Customer.Email'
      Size = 200
    end
    object adsNewOrderCustomerPhone: TStringField
      FieldName = 'Customer.Phone'
      Size = 25
    end
    object adsNewOrderCustomerAddress: TStringField
      FieldName = 'Customer.Address'
      Size = 200
    end
    object adsNewOrderCustomerCity: TStringField
      DisplayWidth = 100
      FieldName = 'Customer.City'
      Size = 100
    end
    object adsNewOrderCustomerCountry: TStringField
      FieldName = 'Customer.Country'
      Size = 100
    end
    object adsNewOrderMemo: TStringField
      FieldName = 'Memo'
      Size = 300
    end
    object adsNewOrderPickupLabTechDateFrom: TDateField
      FieldName = 'PickupLabTechDateFrom'
    end
    object adsNewOrderPickupLabTechDateTo: TDateField
      FieldName = 'PickupLabTechDateTo'
    end
    object adsNewOrderPickupLabTechTimeFrom: TTimeField
      FieldName = 'PickupLabTechTimeFrom'
    end
    object adsNewOrderPickupLabTechTimeTo: TTimeField
      FieldName = 'PickupLabTechTimeTo'
    end
    object adsNewOrderPickupLabTechAddress: TStringField
      FieldName = 'PickupLabTechAddress'
      Size = 200
    end
    object adsNewOrderPickupDeliveryDate: TDateField
      FieldName = 'PickupDeliveryDate'
    end
    object adsNewOrderPickupDeliveryTimeFrom: TTimeField
      FieldName = 'PickupDeliveryTimeFrom'
    end
    object adsNewOrderPickupDeliveryTimeTo: TTimeField
      FieldName = 'PickupDeliveryTimeTo'
    end
    object adsNewOrderPickupDeliveryAddress: TStringField
      FieldName = 'PickupDeliveryAddress'
      Size = 200
    end
    object adsNewOrderPickupDeliveryInstructions: TStringField
      FieldName = 'PickupDeliveryInstructions'
      Size = 200
    end
    object adsNewOrderTypeProduct: TAureliusEntityField
      FieldName = 'TypeProduct'
    end
    object adsNewOrderTotalOrder: TCurrencyField
      FieldName = 'TotalOrder'
      ReadOnly = True
      Required = True
    end
  end
  object adsItem: TAureliusDataset
    FieldDefs = <
      item
        Name = 'Self'
        Attributes = [faReadonly]
        DataType = ftVariant
      end
      item
        Name = 'IdItem'
        Attributes = [faRequired]
        DataType = ftInteger
      end
      item
        Name = 'Product'
        DataType = ftVariant
      end
      item
        Name = 'Quantity'
        DataType = ftFloat
      end
      item
        Name = 'UnitPrice'
        DataType = ftCurrency
      end
      item
        Name = 'Total'
        Attributes = [faReadonly, faRequired]
        DataType = ftCurrency
      end>
    Left = 424
    Top = 24
    DesignClass = 'uOrder.TItem'
    object adsItemSelf: TAureliusEntityField
      FieldName = 'Self'
      ReadOnly = True
    end
    object adsItemIdItem: TIntegerField
      FieldName = 'IdItem'
    end
    object adsItemProduct: TAureliusEntityField
      FieldName = 'Product'
    end
    object adsItemProductIdProduct: TIntegerField
      FieldName = 'Product.IdProduct'
    end
    object adsItemProductTitle: TStringField
      DisplayWidth = 100
      FieldName = 'Product.Title'
      Size = 100
    end
    object adsItemProductSubtitle: TStringField
      FieldName = 'Product.Subtitle'
      Size = 250
    end
    object adsItemQuantity: TFloatField
      FieldName = 'Quantity'
    end
    object adsItemUnitPrice: TCurrencyField
      FieldName = 'UnitPrice'
    end
    object adsItemTotal: TCurrencyField
      FieldName = 'Total'
      ReadOnly = True
      Required = True
    end
  end
  object dsNewOrder: TDataSource
    DataSet = adsNewOrder
    Left = 320
    Top = 96
  end
  object dsItems: TDataSource
    DataSet = adsItem
    Left = 424
    Top = 96
  end
  object adsCustomer: TAureliusDataset
    FieldDefs = <
      item
        Name = 'Self'
        Attributes = [faReadonly]
        DataType = ftVariant
      end
      item
        Name = 'IdCustomer'
        Attributes = [faRequired]
        DataType = ftInteger
      end
      item
        Name = 'FullName'
        Attributes = [faRequired]
        DataType = ftString
        Size = 200
      end
      item
        Name = 'Company'
        DataType = ftString
        Size = 200
      end
      item
        Name = 'RUC'
        DataType = ftString
        Size = 10
      end
      item
        Name = 'Email'
        DataType = ftString
        Size = 200
      end
      item
        Name = 'Phone'
        DataType = ftString
        Size = 25
      end
      item
        Name = 'SupportWhatsapp'
        DataType = ftBoolean
      end
      item
        Name = 'Address'
        DataType = ftString
        Size = 25
      end
      item
        Name = 'City'
        DataType = ftString
        Size = 100
      end
      item
        Name = 'Country'
        DataType = ftString
        Size = 100
      end>
    Left = 664
    Top = 24
    DesignClass = 'uCustomer.TCustomer'
    object adsCustomerSelf: TAureliusEntityField
      FieldName = 'Self'
      ReadOnly = True
    end
    object adsCustomerIdCustomer: TIntegerField
      FieldName = 'IdCustomer'
      Required = True
    end
    object adsCustomerFullName: TStringField
      FieldName = 'FullName'
      Required = True
      Size = 200
    end
    object adsCustomerCompany: TStringField
      FieldName = 'Company'
      Size = 200
    end
    object adsCustomerRUC: TStringField
      FieldName = 'RUC'
      Size = 10
    end
    object adsCustomerEmail: TStringField
      FieldName = 'Email'
      Size = 200
    end
    object adsCustomerPhone: TStringField
      FieldName = 'Phone'
      Size = 25
    end
    object adsCustomerSupportWhatsapp: TBooleanField
      FieldName = 'SupportWhatsapp'
    end
    object adsCustomerAddress: TStringField
      FieldName = 'Address'
      Size = 25
    end
    object adsCustomerCity: TStringField
      FieldName = 'City'
      Size = 100
    end
    object adsCustomerCountry: TStringField
      FieldName = 'Country'
      Size = 100
    end
  end
  object adsTypeProduct: TAureliusDataset
    FieldDefs = <
      item
        Name = 'Self'
        Attributes = [faReadonly]
        DataType = ftVariant
      end
      item
        Name = 'IdTypeProduct'
        Attributes = [faRequired]
        DataType = ftInteger
      end
      item
        Name = 'TypeProduct'
        Attributes = [faRequired]
        DataType = ftString
        Size = 100
      end>
    Left = 64
    Top = 232
    DesignClass = 'uProduct.TTypeProduct'
    object adsTypeProductSelf: TAureliusEntityField
      FieldName = 'Self'
      ReadOnly = True
    end
    object adsTypeProductIdTypeProduct: TIntegerField
      FieldName = 'IdTypeProduct'
      Required = True
    end
    object adsTypeProductTypeProduct: TStringField
      FieldName = 'TypeProduct'
      Required = True
      Size = 100
    end
  end
  object dsTypeProduct: TDataSource
    DataSet = adsTypeProduct
    Left = 64
    Top = 304
  end
  object adsPaymentMethod: TAureliusDataset
    FieldDefs = <
      item
        Name = 'Self'
        Attributes = [faReadonly]
        DataType = ftVariant
      end
      item
        Name = 'IdPaymentMethod'
        Attributes = [faRequired]
        DataType = ftInteger
      end
      item
        Name = 'PaymentMethod'
        Attributes = [faRequired]
        DataType = ftString
        Size = 100
      end>
    Left = 216
    Top = 232
    DesignClass = 'uPayment.TPaymentMethod'
    object adsPaymentMethodSelf: TAureliusEntityField
      FieldName = 'Self'
      ReadOnly = True
    end
    object adsPaymentMethodIdPaymentMethod: TIntegerField
      FieldName = 'IdPaymentMethod'
      Required = True
    end
    object adsPaymentMethodPaymentMethod: TStringField
      FieldName = 'PaymentMethod'
      Required = True
      Size = 100
    end
  end
  object dsPaymentMethod: TDataSource
    DataSet = adsPaymentMethod
    Left = 216
    Top = 304
  end
  object adsDeliverMethod: TAureliusDataset
    FieldDefs = <
      item
        Name = 'Self'
        Attributes = [faReadonly]
        DataType = ftVariant
      end
      item
        Name = 'IdDeliverMethod'
        Attributes = [faRequired]
        DataType = ftInteger
      end
      item
        Name = 'DeliverMethod'
        Attributes = [faRequired]
        DataType = ftString
        Size = 100
      end>
    Left = 376
    Top = 232
    DesignClass = 'uDeliver.TDeliverMethod'
    object adsDeliverMethodSelf: TAureliusEntityField
      FieldName = 'Self'
      ReadOnly = True
    end
    object adsDeliverMethodIdDeliverMethod: TIntegerField
      FieldName = 'IdDeliverMethod'
      Required = True
    end
    object adsDeliverMethodDeliverMethod: TStringField
      FieldName = 'DeliverMethod'
      Required = True
      Size = 100
    end
  end
  object dsDeliverMethod: TDataSource
    DataSet = adsDeliverMethod
    Left = 376
    Top = 304
  end
  object adsPayment: TAureliusDataset
    FieldDefs = <
      item
        Name = 'Self'
        Attributes = [faReadonly]
        DataType = ftVariant
      end
      item
        Name = 'IdPayment'
        Attributes = [faRequired]
        DataType = ftInteger
      end
      item
        Name = 'OrderMaster'
        DataType = ftVariant
      end
      item
        Name = 'PaymentMethod'
        DataType = ftVariant
      end
      item
        Name = 'Amount'
        Attributes = [faRequired]
        DataType = ftCurrency
      end>
    OnObjectInsert = adsPaymentObjectInsert
    OnObjectUpdate = adsPaymentObjectUpdate
    Left = 536
    Top = 24
    DesignClass = 'uPayment.TPayment'
    object adsPaymentSelf: TAureliusEntityField
      FieldName = 'Self'
      ReadOnly = True
    end
    object adsPaymentIdPayment: TIntegerField
      FieldName = 'IdPayment'
    end
    object adsPaymentOrderMaster: TAureliusEntityField
      FieldName = 'OrderMaster'
    end
    object adsPaymentPaymentMethod: TAureliusEntityField
      FieldName = 'PaymentMethod'
    end
    object adsPaymentAmount: TCurrencyField
      FieldName = 'Amount'
      Required = True
    end
  end
  object dsPayment: TDataSource
    DataSet = adsPayment
    Left = 536
    Top = 96
  end
  object adsOrder: TAureliusDataset
    FieldDefs = <
      item
        Name = 'Self'
        Attributes = [faReadonly]
        DataType = ftVariant
      end
      item
        Name = 'IdOrderMaster'
        Attributes = [faRequired]
        DataType = ftInteger
      end
      item
        Name = 'DateTime'
        DataType = ftDateTime
      end
      item
        Name = 'StatusOrder'
        DataType = ftInteger
      end
      item
        Name = 'Store'
        DataType = ftVariant
      end
      item
        Name = 'Customer'
        DataType = ftVariant
      end
      item
        Name = 'User'
        DataType = ftVariant
      end
      item
        Name = 'DeliverMethod'
        DataType = ftVariant
      end
      item
        Name = 'Memo'
        DataType = ftString
        Size = 300
      end
      item
        Name = 'PickupLabTechDate'
        DataType = ftDateTime
      end
      item
        Name = 'PickupLabTechTime'
        DataType = ftString
        Size = 100
      end
      item
        Name = 'PickupLabTechAddress'
        DataType = ftString
        Size = 200
      end
      item
        Name = 'PickupDeliveryDate'
        DataType = ftDateTime
      end
      item
        Name = 'PickupDeliveryTime'
        DataType = ftString
        Size = 100
      end
      item
        Name = 'PickupDeliveryAddress'
        DataType = ftString
        Size = 200
      end
      item
        Name = 'TypeProduct'
        DataType = ftVariant
      end
      item
        Name = 'Items'
        Attributes = [faReadonly]
        DataType = ftDataSet
      end
      item
        Name = 'TotalOrder'
        Attributes = [faReadonly, faRequired]
        DataType = ftCurrency
      end>
    Left = 64
    Top = 440
    DesignClass = 'uOrder.TOrderMaster'
    object adsOrderSelf: TAureliusEntityField
      FieldName = 'Self'
      ReadOnly = True
    end
    object adsOrderIdOrderMaster: TIntegerField
      FieldName = 'IdOrderMaster'
      Required = True
    end
    object adsOrderDateTime: TDateTimeField
      FieldName = 'DateTime'
    end
    object adsOrderStatusOrder: TIntegerField
      FieldName = 'StatusOrder'
    end
    object adsOrderStore: TAureliusEntityField
      FieldName = 'Store'
    end
    object adsOrderStoreShortName: TStringField
      FieldName = 'Store.ShortName'
    end
    object adsOrderCustomer: TAureliusEntityField
      FieldName = 'Customer'
    end
    object adsOrderUser: TAureliusEntityField
      FieldName = 'User'
    end
    object adsOrderDeliverMethod: TAureliusEntityField
      FieldName = 'DeliverMethod'
    end
    object adsOrderMemo: TStringField
      FieldName = 'Memo'
      Size = 300
    end
    object adsOrderPickupLabTechDate: TDateTimeField
      FieldName = 'PickupLabTechDate'
    end
    object adsOrderPickupLabTechTime: TStringField
      FieldName = 'PickupLabTechTime'
      Size = 100
    end
    object adsOrderPickupLabTechAddress: TStringField
      FieldName = 'PickupLabTechAddress'
      Size = 200
    end
    object adsOrderPickupDeliveryDate: TDateTimeField
      FieldName = 'PickupDeliveryDate'
    end
    object adsOrderPickupDeliveryTime: TStringField
      FieldName = 'PickupDeliveryTime'
      Size = 100
    end
    object adsOrderPickupDeliveryAddress: TStringField
      FieldName = 'PickupDeliveryAddress'
      Size = 200
    end
    object adsOrderItems: TDataSetField
      FieldName = 'Items'
      ReadOnly = True
    end
    object adsOrderCustomerFullName: TStringField
      FieldName = 'Customer.FullName'
      Size = 200
    end
    object adsOrderCustomerRUC: TStringField
      FieldKind = fkCalculated
      FieldName = 'Customer.RUC'
      Size = 10
      Calculated = True
    end
    object adsOrderStatusOrderEnumName: TStringField
      FieldName = 'StatusOrder.EnumName'
      Size = 15
    end
    object adsOrderTypeProduct: TAureliusEntityField
      FieldName = 'TypeProduct'
    end
    object adsOrderTotalOrder: TCurrencyField
      FieldName = 'TotalOrder'
      ReadOnly = True
      Required = True
    end
    object adsOrderTypeProductTypeProduct: TStringField
      FieldName = 'TypeProduct.TypeProduct'
      Size = 100
    end
  end
  object dsOrder: TDataSource
    DataSet = adsOrder
    Left = 64
    Top = 512
  end
  object adsStore: TAureliusDataset
    FieldDefs = <
      item
        Name = 'Self'
        Attributes = [faReadonly]
        DataType = ftVariant
      end
      item
        Name = 'IdStore'
        Attributes = [faRequired]
        DataType = ftInteger
      end
      item
        Name = 'Name'
        Attributes = [faRequired]
        DataType = ftString
        Size = 100
      end
      item
        Name = 'ShortName'
        DataType = ftString
        Size = 20
      end
      item
        Name = 'Logo'
        DataType = ftBlob
      end
      item
        Name = 'Address'
        DataType = ftString
        Size = 200
      end
      item
        Name = 'Phone'
        DataType = ftString
        Size = 20
      end
      item
        Name = 'Whatsapp'
        DataType = ftString
        Size = 20
      end
      item
        Name = 'Email'
        DataType = ftString
        Size = 200
      end
      item
        Name = 'Slogan'
        DataType = ftString
        Size = 300
      end
      item
        Name = 'RUC'
        DataType = ftString
        Size = 10
      end
      item
        Name = 'ContactName'
        DataType = ftString
        Size = 50
      end
      item
        Name = 'ContactEmail'
        DataType = ftString
        Size = 200
      end
      item
        Name = 'ContactPhone'
        DataType = ftString
        Size = 20
      end
      item
        Name = 'AccountNumber'
        DataType = ftString
        Size = 100
      end
      item
        Name = 'Latitude'
        DataType = ftFloat
      end
      item
        Name = 'Longitude'
        DataType = ftFloat
      end
      item
        Name = 'StorePhoto'
        Attributes = [faReadonly]
        DataType = ftDataSet
      end
      item
        Name = 'StoreAcreditacion'
        Attributes = [faReadonly]
        DataType = ftDataSet
      end>
    OnObjectInsert = adsStoreObjectInsert
    OnObjectUpdate = adsStoreObjectUpdate
    Left = 368
    Top = 440
    DesignClass = 'uStore.TStore'
    object adsStoreSelf: TAureliusEntityField
      FieldName = 'Self'
      ReadOnly = True
    end
    object adsStoreIdStore: TIntegerField
      FieldName = 'IdStore'
      Required = True
    end
    object adsStoreName: TStringField
      FieldName = 'Name'
      Required = True
      Size = 100
    end
    object adsStoreShortName: TStringField
      FieldName = 'ShortName'
    end
    object adsStoreLogo: TBlobField
      FieldName = 'Logo'
    end
    object adsStoreAddress: TStringField
      FieldName = 'Address'
      Size = 200
    end
    object adsStorePhone: TStringField
      FieldName = 'Phone'
    end
    object adsStoreWhatsapp: TStringField
      FieldName = 'Whatsapp'
    end
    object adsStoreEmail: TStringField
      FieldName = 'Email'
      Size = 200
    end
    object adsStoreSlogan: TStringField
      FieldName = 'Slogan'
      Size = 300
    end
    object adsStoreRUC: TStringField
      FieldName = 'RUC'
      Size = 10
    end
    object adsStoreContactName: TStringField
      FieldName = 'ContactName'
      Size = 50
    end
    object adsStoreContactEmail: TStringField
      FieldName = 'ContactEmail'
      Size = 200
    end
    object adsStoreContactPhone: TStringField
      FieldName = 'ContactPhone'
    end
    object adsStoreAccountNumber: TStringField
      FieldName = 'AccountNumber'
      Size = 100
    end
    object adsStoreLatitude: TFloatField
      FieldName = 'Latitude'
    end
    object adsStoreLongitude: TFloatField
      FieldName = 'Longitude'
    end
    object adsStoreStorePhoto: TDataSetField
      FieldName = 'StorePhoto'
      ReadOnly = True
    end
    object adsStoreStoreAcreditacion: TDataSetField
      FieldName = 'StoreAcreditacion'
      ReadOnly = True
    end
  end
  object dsStore: TDataSource
    DataSet = adsStore
    Left = 368
    Top = 520
  end
  object adsMatrizProduct: TAureliusDataset
    FieldDefs = <
      item
        Name = 'Self'
        Attributes = [faReadonly]
        DataType = ftVariant
      end
      item
        Name = 'IdMatrizProduct'
        Attributes = [faRequired]
        DataType = ftInteger
      end
      item
        Name = 'MatrizProduct'
        Attributes = [faRequired]
        DataType = ftString
        Size = 100
      end
      item
        Name = 'Store'
        DataType = ftVariant
      end>
    Left = 488
    Top = 440
    DesignClass = 'uProduct.TMatrizProduct'
    object adsMatrizProductSelf: TAureliusEntityField
      FieldName = 'Self'
      ReadOnly = True
    end
    object adsMatrizProductIdMatrizProduct: TIntegerField
      FieldName = 'IdMatrizProduct'
      Required = True
    end
    object adsMatrizProductMatrizProduct: TStringField
      FieldName = 'MatrizProduct'
      Required = True
      Size = 100
    end
    object adsMatrizProductStore: TAureliusEntityField
      FieldName = 'Store'
    end
  end
  object dsMatrizProduct: TDataSource
    DataSet = adsMatrizProduct
    Left = 496
    Top = 520
  end
  object dsCustomer: TDataSource
    DataSet = adsCustomer
    Left = 664
    Top = 96
  end
end
